//==============================================================================
//
// Title:       Example 0
// Purpose:     First example program
//
// Created on:  8/29/2008 at 4:43:01 PM by David Judge.
// Copyright:   Anritsu. All Rights Reserved.
//
//==============================================================================

//==============================================================================
// Include files
#include <ansi_c.h>
#include "au37xxx.h"


int main (int argc, char *argv[])
{
    ViSession session;
    ViStatus status;
    ViChar d[256];
    ViChar d1[256];
	
	printf("Example 0: Connection and Revision Query\n\n");
    //status = au37xxx_init ("TCPIP0::10.0.1.196::INSTR", VI_TRUE, VI_FALSE, &session); 
    status = au37xxx_init ("VectorStar_Test", VI_TRUE, VI_FALSE, &session);
    status = au37xxx_revision_query (session, d,d1);
    au37xxx_close(session); 
    printf("Driver Version: %s\n",d);
    printf("Firmware Version: %s\n",d1);
	
    printf("\n\nHit return to exit:");
    getc(stdin);
    
    return 0;
}
