/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2008. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1
#define  PANEL_HELP                       2       /* callback function: Help */
#define  PANEL_QUIT                       3       /* callback function: Quit */
#define  PANEL_GRAPH                      4
#define  PANEL_TEXTMSG_4                  5


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                             1
#define  MENU_ABACCUS                     2
#define  MENU_ABACCUS_ZOOM_IN             3       /* callback function: Zoom_In */
#define  MENU_ABACCUS_ZOOMOUT             4       /* callback function: Zoom_Out */


     /* Callback Prototypes: */ 

int  CVICALLBACK Help(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Quit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK Zoom_In(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK Zoom_Out(int menubar, int menuItem, void *callbackData, int panel);


#ifdef __cplusplus
    }
#endif
